Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.util
Class DGraph.Edge

    java.lang.Object
      unity.util.DGraph.Edge

Enclosing class:
  DGraph

    public class DGraph.Edge

extends java.lang.Object

Constructor Summary
`DGraph.Edge()`
`DGraph.Edge(java.lang.String l)`
`DGraph.Edge(java.lang.String l, int w, java.lang.String fN, java.lang.String tN)`

Method Summary
`java.lang.String` | `getFromNode()`
`java.lang.String` | `getLabel()`
`java.lang.Object` | `getObject()`
`java.lang.String` | `getToNode()`
`int` | `getWeight()`
`void` | `setFromNode(java.lang.String n)`
`void` | `setLabel(java.lang.String l)`
`void` | `setObject(java.lang.Object sj)`
`void` | `setToNode(java.lang.String n)`
`void` | `setWeight(int w)`
`java.lang.String` | `toShort()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DGraph.Edge

    public DGraph.Edge(java.lang.String l,
                       int w,
                       java.lang.String fN,
                       java.lang.String tN)

### DGraph.Edge

    public DGraph.Edge(java.lang.String l)

### DGraph.Edge

    public DGraph.Edge()

Method Detail

### getWeight

    public int getWeight()

### getLabel

    public java.lang.String getLabel()

### getFromNode

    public java.lang.String getFromNode()

### getToNode

    public java.lang.String getToNode()

### getObject

    public java.lang.Object getObject()

### setWeight

    public void setWeight(int w)

### setLabel

    public void setLabel(java.lang.String l)

### setFromNode

    public void setFromNode(java.lang.String n)

### setToNode

    public void setToNode(java.lang.String n)

### setObject

    public void setObject(java.lang.Object sj)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toShort

    public java.lang.String toShort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD